/*------------------------------------------------------------------------------
 * MDK Middleware - Component ::Network:Interface
 * Copyright (c) 2004-2013 ARM Germany GmbH. All rights reserved.
 *------------------------------------------------------------------------------
 * Name:    Net_Config_SLIP.h
 * Purpose: Network Configuration SLIP Interface
 * Rev.:    V5.00
 *----------------------------------------------------------------------------*/

//-------- <<< Use Configuration Wizard in Context Menu >>> --------------------

// <h>SLIP Network Interface 
#define SLIP_ENABLE             0

//   <o>Connect to hardware via Driver_Modem# <0-255>
//   <i>Select driver control block for hardware interface
#define SLIP_DRIVER             0

//   <h>IP Address
//   <i> Local Static IP Address
//     <o>Address byte 1 <0-255>
//     <i> Default: 192
#define SLIP_IP1                192

//     <o>Address byte 2 <0-255>
//     <i> Default: 168
#define SLIP_IP2                168

//     <o>Address byte 3 <0-255>
//     <i> Default: 225
#define SLIP_IP3                225

//     <o>Address byte 4 <0-255>
//     <i> Default: 1
#define SLIP_IP4                1
//   </h>

//   <h>Subnet mask
//   <i> Local Subnet mask
//     <o>Mask byte 1 <0-255>
//     <i> Default: 255
#define SLIP_MASK1              255

//     <o>Mask byte 2 <0-255>
//     <i> Default: 255
#define SLIP_MASK2              255

//     <o>Mask byte 3 <0-255>
//     <i> Default: 255
#define SLIP_MASK3              255

//     <o>Mask byte 4 <0-255>
//     <i> Default: 0
#define SLIP_MASK4              0
//   </h>

//   <h>Primary DNS Server
//   <i> Primary DNS Server IP Address
//     <o>Address byte 1 <0-255>
//     <i> Default: 194
#define SLIP_PRI_DNS1           194

//     <o>Address byte 2 <0-255>
//     <i> Default: 25
#define SLIP_PRI_DNS2           25

//     <o>Address byte 3 <0-255>
//     <i> Default: 2
#define SLIP_PRI_DNS3           2

//     <o>Address byte 4 <0-255>
//     <i> Default: 129
#define SLIP_PRI_DNS4           129
//   </h>

//   <h>Secondary DNS Server
//   <i> Secondary DNS Server IP Address
//     <o>Address byte 1 <0-255>
//     <i> Default: 194
#define SLIP_SEC_DNS1           194

//     <o>Address byte 2 <0-255>
//     <i> Default: 25
#define SLIP_SEC_DNS2           25

//     <o>Address byte 3 <0-255>
//     <i> Default: 2
#define SLIP_SEC_DNS3           2

//     <o>Address byte 4 <0-255>
//     <i> Default: 130
#define SLIP_SEC_DNS4           130
//   </h>

//   <q>Use Default Gateway on remote Network
//   <i> This option only applies when both Ethernet and SLIP Dial-up
//   <i> are used. If checked, data that cannot be sent to local LAN
//   <i> is forwarded to Dial-up network instead.
#define SLIP_DEFAULT_GW         1

// </h>
